Name:           python-versioned-hdf5
Version:        2.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Versioned HDF5 provides a versioned abstraction on top of h5py

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/deshaw/versioned-hdf5
Source:         %{pypi_source versioned_hdf5}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'versioned-hdf5' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-versioned-hdf5
Summary:        %{summary}

%description -n python3-versioned-hdf5 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-versioned-hdf5 bench,dev,doc,test


%prep
%autosetup -p1 -n versioned_hdf5-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x bench,dev,doc,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-versioned-hdf5 -f %{pyproject_files}


%changelog
%autochangelog